var recdata="";                      //接收显示数据
var dataline=0;                     //显示行数
//---------------------------------------------------------------
/* 当网页与websocket服务器连接成功后函数被调用，用于向用户反馈连接成功的信息 */
function OnConnect(num){
    switch(num){
        case 0:{
            recdata+="5000端口WebSocket服务连接成功\r\n";
            document.getElementById("receive").value=recdata;
            dataline+=1;
            break;
        }
        case 1:{
            recdata+="5001端口WebSocket服务连接成功\r\n";
            document.getElementById("receive").value=recdata;
            dataline+=1;
            Send(1);
            break;
        }
    }
}
//---------------------------------------------------------------
/* 当网页与websocket服务器连接断开后函数被调用，用于向用户反馈连接断开的信息 */
function DisConnect(num){
    switch(num){
        case 0:{
            recdata+="5000端口WebSocket服务连接断开\r\n";
            document.getElementById("receive").value=recdata;
            dataline+=1;
            break;
        }
        case 1:{
            recdata+="5001端口WebSocket服务连接断开\r\n";
            document.getElementById("receive").value=recdata;
            dataline+=1;
            break;
        }
    }
}
//---------------------------------------------------------------
/* 当网页获得来自websocket服务器的数据时函数被调用，用于处理数据 */
function Data_dispose(num,data){
    switch(num){
        case 0:{           
            ShowMessage(data);
            break;
        }
        case 1:{            
            SetText(data);
            break;
        }
    }
}
/***************************************************************/
/* 函数在网页加载完成后被调用，用于实现网页的加载自动连接websocket服务器 */
function LoadPro(){
    connectOK1 = 0;
    connecting1 = 0;
    connectOK2 = 0;
    connecting2 = 0;
    var t1 = window.setInterval(MainPro,1000);
}
//---------------------------------------------------------------
/* 联网函数 */
function MainPro(){
    if((connectOK1==0)&&(connecting1==0)) {
         SocketConnect(0);
    }
    if((connectOK2==0)&&(connecting2==0)) {
         SocketConnect(1);
    }
}
//---------------------------------------------------------------
/* 数据发送函数，用于发送用户手动输入的数据 */
function Send(){
   var str=document.getElementById("sender").value;
   Send_massage(0,str);
}
//---------------------------------------------------------------
var showmessage=0;//数据暂停显示使能变量
/* 数据显示函数，用于在文本框中显示网页接收到的数据 */
function ShowMessage(str){
	if(showmessage==1)return;
	var msgbox=document.getElementById("receive");
	recdata=recdata+str;
	dataline++;
	msgbox.value=recdata;
	if(dataline>100)
	{
		dataline=0;
		recdata="";
	}
   var ScrollHeight=document.getElementById("receive").scrollHeight;
   document.getElementById("receive").scrollTop=ScrollHeight;
}
//---------------------------------------------------------------
/* 该函数用于将来自5001端口的数据显示在页面中 */
function SetText(str){
   try{
      var json=JSON.parse(str);
      document.getElementById("motor_dirX").innerHTML=json.x1;
      document.getElementById("motor_dirY").innerHTML=json.y1;
      document.getElementById("motor_dirZ").innerHTML=json.z1;
      
      document.getElementById("a_speedX").innerHTML=json.x2;
      document.getElementById("a_speedY").innerHTML=json.y2;
      document.getElementById("a_speedZ").innerHTML=json.z2;
      
      document.getElementById("illu_int").innerHTML=json.s1;
      document.getElementById("approach").innerHTML=json.s2;
   }catch(evt){
      console.log("无效数据！");
   }
}
//---------------------------------------------------------------
function StopShow(){
	var check_value=document.getElementById("Stop").checked;
	if(check_value){
		showmessage=1;
	}
	else showmessage=0;
	console.log(check_value+":"+showmessage);
}
//---------------------------------------------------------------
function OnClear(){
    var msgbox=document.getElementById("receive");
    dataline=0;
    recdata="";
	msgbox.value=recdata;
}
//---------------------------------------------------------------