//---------------------------------------------------------------
var time1=null;
//---------------------------------------------------------------
/* 网页加载完成后执行匿名函数；*/
window.onload=function(){
    LoadPro();
}
//---------------------------------------------------------------
/* 函数在网页加载完成后被调用，用于实现网页的加载自动连接websocket服务器 */
function LoadPro(){
    connectOK1 = 0;
    connecting1 = 0;
    connectOK2 = 0;
    connecting2 = 0;
    if(time1!=null){
        clearInterval(time1);
        time1=null;
    }
    time1 = setInterval(MainPro,3000);//定时调用函数，判断连接状态
}
//---------------------------------------------------------------
/* 联网函数 */
function MainPro(){
    if((connectOK1==0)&&(connecting1==0)) {
         SocketConnect(0);
    }
    if((connectOK2==0)&&(connecting2==0)) {
         SocketConnect(1);
    }
}
//---------------------------------------------------------------
/* 当网页与websocket服务器连接成功后函数被调用，用于向用户反馈连接成功的信息 */
function OnConnect(num){
    switch(num){
        case 0:{
            console.log("5000端口WebSocket服务连接成功");
            break;
        }
        case 1:{
            console.log("5001端口WebSocket服务连接成功");
            break;
        }
    }
}
//---------------------------------------------------------------
/* 当网页与websocket服务器连接断开后函数被调用，用于向用户反馈连接断开的信息 */
function DisConnect(num){
    switch(num){
        case 0:{
            console.log("5000端口WebSocket服务连接断开");
            break;
        }
        case 1:{
            console.log("5001端口WebSocket服务连接断开");
            break;
        }
    }
}
//---------------------------------------------------------------
/* 当网页获得来自websocket服务器的数据时函数被调用，用于处理数据 */
function Data_dispose(num,data){
    switch(num){
        case 0:{
            //编写代码处理来自椰子壳5000端口的数据
            console.log("[5000]"+data);
            break;
        }
        case 1:{
            //编写代码处理来自椰子壳5001端口的数据
            console.log("[5001]"+data);
            try{
                Send_massage(0,'{"cmd":"tcpsend","msg":'+data+'}');
                var json=JSON.parse(data);
                document.getElementById("x1").innerHTML=json.x1;
                document.getElementById("y1").innerHTML=json.y1;
                document.getElementById("z1").innerHTML=json.z1;
                document.getElementById("x2").innerHTML=json.x2;
                document.getElementById("y2").innerHTML=json.y2;
                document.getElementById("z2").innerHTML=json.z2;
                document.getElementById("s1").innerHTML=json.s1;
                document.getElementById("s2").innerHTML=json.s2;
            }catch(err){
                console.log("数据错误："+data);
            }
            break;
        }
    }
}
/***************************************************************/